@import url(./costants.css);
@import url("./text/text.css");
@import url("./text/text-sm.css") screen and (min-width: 552px);
@import url("./text/text-md.css") screen and (min-width: 768px);
@import url("./text/text-lg.css") screen and (min-width: 992px);
@import url("./text/text-xl.css") screen and (min-width: 1200px);
@import url("./text/text-xxl.css") screen and (min-width: 1400px);

/* AGaramond Pro Regular */
@font-face {
  font-family: 'AGaramondPro';
  src: url('../font/AGaramondPro-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* AGaramond Pro Italic */
@font-face {
  font-family: 'AGaramondPro';
  src: url('../font/AGaramondPro-Italic.woff') format('woff');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

/* FuturaEF DemiBold */
@font-face {
  font-family: 'FuturaEF-DemiBold';
  src: url('../font/FuturaEF-DemiBold-Regular.woff') format('woff');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

.futura-font, .futura-font>p{ font-family: "FuturaEF-DemiBold", sans-serif !important;}
.aGaramondPro-font, .aGaramondPro-font>*, .nav-link, .dropdown-item{ font-family: 'AGaramondPro', serif !important;}

/*.futura-font-desc-title>p>strong{*/
/*    padding-bottom: 8px;*/
/*    font-family: "FuturaEF-DemiBold", sans-serif !important;*/
/*}*/

/* text-10 per modificare il testo */
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
html, body {
    margin:0;
    padding: 0;
    font-family: "EB Garamond", serif;
    scroll-behavior: smooth;
}

.welcomeBtn>p{ color: #636466;}
.welcomeBtn>a{
    color: black !important;
    font-size: calc(20px + .2vw);
}

/* Input - START */
input[type="number"] {
    -moz-appearance: textfield;
    -webkit-appearance: none;
    appearance: none;
}
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input, textarea{
    padding: 12px 16px;
    border-radius: 0px;
    border: 1px solid var(--input);
}
input::placeholder, textarea::placeholder{
    color: var(--input-text);
}
/* Input - END */

/*ul {*/
/*    list-style-type: none;*/
/*}*/
ul, li {
    margin: 0;
    padding: 0;
}
.no-opacity{
    opacity: 0;
}

/* Classi per il colore del testo */
.color-orange-dark { color: var(--orange-dark); }
.color-red { color: var(--red)!important; }
.color-black { color: var(--black); }
.color-blue-deep { color: var(--blue-deep); }
.color-blue-dark { color: var(--blue-dark); }
.color-blue-medium { color: var(--blue-medium); }
.color-blue-light { color: var(--blue-light); }
.color-gray-lightest { color: var(--gray-lightest); }
.color-gray-eventCard { color: var(--gray-eventCard)!important; }
.color-gray-medium { color: var(--gray-medium) !important; }
.color-gray { color: var(--standard-gray); }
.color-blue-gray { color: var(--blue-gray); }
.color-cyan-light { color: var(--cyan-light); }
.color-gray-light { color: var(--gray-light); }
.color-orange { color: var(--orange); }
.color-gray-lighter { color: var(--gray-lighter); }
.color-white { color: var(--white); }
.color-paragraph { color: var(--paragraph); }
.color-light-logo { color: var(--light-logo-color); }

/* Classi per lo sfondo */
.bg-orange-dark { background-color: var(--orange-dark); }
.bg-red { background-color: var(--red); }
.bg-black { background-color: var(--black); }
.bg-blue-deep { background-color: var(--blue-deep); }
.bg-blue-dark { background-color: var(--blue-dark); }
.bg-blue-medium { background-color: var(--blue-medium); }
.bg-blue-light { background-color: var(--blue-light); }
.bg-gray-lightest { background-color: var(--gray-lightest); }
.bg-gray-medium { background-color: var(--gray-medium); }
.bg-blue-gray { background-color: var(--blue-gray); }
.bg-cyan-light { background-color: var(--cyan-light); }
.bg-gray-light { background-color: var(--gray-light); }
.bg-orange { background-color: var(--orange); }
.bg-gray-lighter { background-color: var(--gray-lighter); }
.bg-white { background-color: var(--white); }
.bg-paragraph { background-color: var(--paragraph); }

.pointer{
    cursor: pointer;
}

/* Font-Style - START */
h1, h2, h3, h4, h5, h6, li {
    color: black;
    font-family: "FuturaEF-DemiBold", sans-serif;
    line-height: 1;
}
ol>li{
    font-family: "EB Garamond", serif;
    color: var(--black);
    line-height: 140%;
    margin-bottom: 0px;
    font-weight: 400;
    font-size: calc(20px + 0.2vw) !important;
}
.nav-link{
    font-family: "IBM Plex Sans Condensed", sans-serif;
}

h1, .SiteTitle{ font-size: 12vw!important; font-weight: 700;}
h2{
    font-size: 11.8vw !important;
    padding-bottom: 24px;
}

.display-1, .display-4 { line-height: 1;}
.display-4, .doubleText>p{ font-size: calc(32px + 0.1vw)!important;}

@media (min-width: 576px) {
    h1, .SiteTitle{ font-size: 9vw!important; font-weight: 700;}
}

@media (min-width: 992px) {
    h1, .SiteTitle{ font-size: 9vw!important; font-weight: 700;}
    h2{ font-size: 7vw !important;}

    .doubleText>p{ font-size: calc(50px + 0.1vw)!important;}
    .display-4{ font-size: calc(48px + 0.5vw)!important;}
    .h4, .h4>a{ font-size: calc(24px + 0.3vw)!important;}
}

h2{ font-size: 1.8rem;}
h3{ font-size: 4.5vw!important;}
h4{ font-size: 1.063rem;}
h5, .h5{ font-size: 15px;}

a{
    text-decoration: none;
    color: var(--blue-dark);
    font-size: 13px;
    line-height: 120%; 
    letter-spacing: -0.02em;
    margin-bottom: 0;    
    font-weight: 500;  
}
.hours-box>p { font-size: calc(14px + .2vw)!important;}
big>a>em{
    font-size: calc(15px + .2vw)!important;
    padding-left: 16px;
    color: #636466;
}
p, .footerLink, .paragraph {
    color: var(--black);
    font-size: calc(15px + .2vw)!important;
    line-height: 140%;
    margin-bottom: 0;    
    font-weight: 400;  
}
.pMinHeight { min-height: calc((20px + .2vw) * 1.35);}

.sideSectionBtn>p{
    font-size: 16px;
    color: var(--paragraph);
    padding-bottom: 1rem;
}

.sideSectionBtn>a{
    font-size: 16px;
    color: black;
}

.heading-1 {
    font-size: 30px !important;
    line-height: 110%;  
    letter-spacing: -0.01em;
    margin-bottom: 0;   
    font-weight: 500; 
}
.heading-2 {
    font-size: 24px !important;
    line-height: 120%;  
    letter-spacing: -0.02em;
    margin-bottom: 0;   
    font-weight: 700;   
}
.heading-3 {
    font-size: 22px;
    line-height: 120%;  
    letter-spacing: -0.01em;
    margin-bottom: 0;    
    font-weight: 600;  
}

.heading-4 {
    font-size: 15px;
    line-height: 120%;  
    letter-spacing: -0.01em;
    margin-bottom: 0;    
    font-weight: 700;  
}

.caption {
    font-size: 16px;
    line-height: 120%; 
    margin-bottom: 0;   
    letter-spacing: -0.01em; 
    font-weight: 500;
}

.link{
    color: var(--standard-gray);
    font-size: 1.8rem;
    line-height: 140%;
    margin-bottom: 0;
    font-weight: 400;
}

.icon{ width: 24px;}

.2vw{ font-size: 2vw!important;}
.3vw{ font-size: 3vw!important;}

small{ font-size: calc(20px + 0.1vw)!important;}

@media  (min-width: 480px) {
    h1, .SiteTitle{ font-size: 2.5rem;}
    h3{ font-size: 3.5vw!important;}
}

@media  (min-width: 600px) {
    h1, .SiteTitle{ font-size: 3rem;}
    h3{ font-size: 2.5vw!important;}

    p, .footerLink, .paragraph, big>a>em { font-size: calc(21px + .2vw)!important;}
}

@media  (min-width: 768px) {
    h1, .SiteTitle{ font-size: 4.2rem;}
    h2, .link{ font-size: 1.5rem;}
    h3{ font-size: 1.5vw!important;}
    h3>strong{ font-size: 2vw!important;}
    h4{ font-size: 1.125rem;}
    h5{ font-size: 1.125rem;}

    .heading-1 { font-size: 45px;}
    .heading-2 { font-size: 26px;}
    .caption { font-size: 24px;}
}

@media  (min-width: 1024px) {
    h1, .SiteTitle{ font-size: 5rem;}

    small{ font-size: calc(32px + 0.1vw)!important;}
}
@media  (min-width: 1200px) {
    h2, .link{ font-size: 1.5rem;}
    h3{ font-size: 1.3rem;}
    h4{ font-size: 1.5rem;}
    h5{ font-size: 1.25rem;}

    .sideSectionBtn>p, .welcomeBtn>p{ font-size: 24px;}
    .sideSectionBtn>a, .welcomeBtn>a{ font-size: 24px;}

    p {
        font-size: 18px;    
        letter-spacing: -0.01em;
    }
    a{
        color: black;
        font-size: 16px;
    }

    .heading-1 { font-size: 60px;}
    .heading-2 { font-size: 30px;}
    .caption { font-size: 30px;}
}

@media  (min-width: 1440px) {
    h1, .SiteTitle{ font-size: 6rem;}
}

.dynamic-fs-4{ font-size: calc(20px + .2vw) !important;}
/* Font-Style - END */


/* Bottoni - START */
.btn{
    padding: 14px 20px;
    border-radius: 0rem;
    background-color: unset;
    color: black;
    transition: all 0.3s ease-in-out;
}
.btn:hover{
    background-color: var(--black);
    border-radius: 8px;
    color: var(--light-logo-color);
}

.btn-overlay {
    font-family: "FuturaEF-DemiBold", sans-serif;
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #fff;
    color: #000;
    border: none;
    border-radius: 50px;
    padding: 10px 30px;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
}

.btn-overlay:hover {
    background-color: #000;
    color: #fff;
}
/* fine Bottoni - END */



/* Size (non cancellare)  - START */

.w-20{ width: 20%;}
.w-max-content{ width: max-content;}

/* Size (non cancellare)  - END */


/* Border - START */
/* Border - END */


/* Icone - START */
    /* white-icon */
.icon-phone-white{ background-image: url("../img/icon/white/PhoneReceiverSilhouette.svg");}
.icon-email-white{ background-image: url("../img/icon/white/Email.svg");}
.icon-facebook-white{ background-image: url("../img/icon/white/Facebook.svg");}
.icon-instagram-white{ background-image: url("../img/icon/white/Instagram.svg");}
.icon-twitter-white{ background-image: url("../img/icon/white/Twitter.svg");}
.icon-play-white{ background-image: url("../img/icon/white/Play.svg");}

    /* black-icon */
.icon-down-chevron-black{ background-image: url("../img/icon/black/Down_chevron.svg");}
.icon-circle-down-black{ background-image: url("../img/icon/black/Chevron-Circle-Down.svg");}
.icon-email-black{ background-image: url("../img/icon/black/Email.svg");}
.icon-emailEmpty-black{background-image: url("../img/icon/black/Email.svg");}
.icon-whatsapp-black{ background-image: url("../img/icon/black/Whatsapp.svg");}
.icon-Phone-black{ background-image: url("../img/icon/black/Phone.svg");}
.icon-Headset-black{ background-image: url("../img/icon/black/CustomerServiceHeadset.svg");}
.icon-FastDelivery-black{ background-image: url("../img/icon/black/FastDelivery.svg");}
.icon-edit-black{ background-image: url("../img/icon/pagamenti/Edit.svg");}
.icon-facebook-black{ background-image: url("../img/icon/pagamenti/FacebookBlack.svg");}
.icon-instagram-black{ background-image: url("../img/icon/pagamenti/InstagramBlack.svg");}
.icon-twitter-black{ background-image: url("../img/icon/black/Twitter.svg");}
.icon-symbol-black{ background-image: url("../img/icon/black/Symbol.svg");}
.icon-bag-black{ background-image: url("../img/icon/black/Bag.svg");}
.icon-profile-black{ background-image: url("../img/icon/black/Profile.svg");}
.icon-filter-black{ background-image: url("../img/icon/black/Filter.svg");}
.icon-right-chevron-empty-black{ background-image: url("../img/icon/black/Chevron.svg");}
.icon-calendar{ background-image: url("../img/icon/black/Calendar.svg");}
.icon-discover{ background-image: url("../img/icon/pagamenti/Discover.svg");}
.icon-maestro{ background-image: url("../img/icon/pagamenti/maestro.svg");}
.icon-masterCard{ background-image: url("../img/icon/pagamenti/masterCard.svg");}
.icon-paypal{ background-image: url("../img/icon/pagamenti/paypal.svg");}
.icon-visa{ background-image: url("../img/icon/pagamenti/visa.svg");}
.icon-gls{ background-image: url("../img/gls_icon.png");}
/* fine icone */



/* GOOGLE */
.pac-container {
    z-index: 1057 !important; /* Deve essere più alto del modal */
}

.genericSectionMargin{ padding: 0px 32px;}


/* INIZIO - UNDERLINE */
.underline{
    text-decoration: underline;
}

.underline-10{
    text-decoration: underline;
    text-underline-offset: 10px;
}
/* FINE - UNDERLINE */



/* IMMAGINI - INIZIO */

.headerLogoContainer{
    max-width: 300px;
}

.imgContainer{
    height: 500px;
    width: 100%;
}
@media (min-width: 992px) {
    .imgContainer{ height: 800px;}
}
/* IMMAGINI - FINE */


/* ASPECT RATIO - START */
@media (max-width: 768px) {
    .custom-ratio-1x1 {
        aspect-ratio: 1;
    }
    .custom-ratio-4x3-5 {
        aspect-ratio: 4/3.5;
    }
}
/* ASPECT RATIO - END */

.grecaptcha-badge {
    visibility: hidden;
}